Package Details: foxitreader 2.4.4.0911-2

Git Clone URL: https://aur.archlinux.org/foxitreader.git (read-only)
Package Base: foxitreader
Description: A fast, secure and complete PDF viewer
Upstream URL: https://www.foxitsoftware.com/products/pdf-reader/
Licenses: custom:eula
Submitter: tdy
Maintainer: Muflone
Last Packager: Muflone
Votes: 440
Popularity: 1.206609
First Submitted: 2009-01-21 18:59
Last Updated: 2019-06-10 21:26

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

Muflone commented on 2019-05-08 20:09

I'll update the package in the weekend. In the meanwhile you can simply edit the PKGBUILD, find the line 21 with sha256sums=('6b579bd4ecdf86f7e70a009886c511da0b5085b831b0d6afc42442cabc249b90' and replace 6b579bd4ecdf86f7e70a009886c511da0b5085b831b0d6afc42442cabc249b90 with SKIP

Next you can build the package again.

christianlupus commented on 2019-05-08 07:23

@argamanza: First download the patch somewhere and then go to the AUR git repo you cloned (where the PKGBUILD file is located) using your console. Then you simply issue patch -Np1 -i /tmp/foxit.patch (or whatever location you put the patch file). It should patch the PKGBUILD file (single line of output). After that you can build the package regularly. Simply put makepkg and install after successful build using pacman -U foxitreader-...... You can install and build in one step using makepkg -i.

argamanza commented on 2019-05-08 06:24

@christianlupus would love to learn how can i use this patch in the installation process, i'm not quite sure and don't want to break things.

christianlupus commented on 2019-05-07 13:54

Using this patch, I was able to get the package running: https://gist.github.com/christianlupus/6a2203c8058dab1a49ed426a3a966daf

Spin_MAlkut commented on 2019-05-06 02:33

Erro Validate
eula.html
Gerei uma nova verificação
malkut-hp% ls
eula.html foxitreader-2.4.4.0911-1-x86_64.pkg.tar.xz foxitreader-excluded_files pkg PKGBUILD.bkp eula.html.bkp FoxitReader.enu.setup.2.4.4.0911.x64.run.tar.gz foxitreader.patch PKGBUILD src
malkut-hp% sha256sum eula.html
58574d4b9aa4c3658b9188cafd89ad0f09c1c1b3aa86743080d0f4b1d6576541 eula.html
E depois substitui.
malkut-hp% cat PKGBUILD
sha256sums=('6b579bd4ecdf86f7e70a009886c511da0b5085b831b0d6afc42442cabc249b90'
'58574d4b9aa4c3658b9188cafd89ad0f09c1c1b3aa86743080d0f4b1d6576541'
'ee0f65819d00fea89f40112c769c704c7b663ff852e9d1d6e36d1b6d054d9c05'
'e558529c6dbea047eee744b011ffcc214547c503896b14211ebf5f6309ef4e9f')
malkut-hp% makepkg -si

Spin_MAlkut commented on 2019-05-06 02:31

Gerei uma nova verificação malkut-hp% ls eula.html foxitreader-2.4.4.0911-1-x86_64.pkg.tar.xz foxitreader-excluded_files pkg PKGBUILD.bkp eula.html.bkp FoxitReader.enu.setup.2.4.4.0911.x64.run.tar.gz foxitreader.patch PKGBUILD src malkut-hp% sha256sum eula.html 58574d4b9aa4c3658b9188cafd89ad0f09c1c1b3aa86743080d0f4b1d6576541 eula.html

E depois substitui.

malkut-hp% cat PKGBUILD sha256sums=('6b579bd4ecdf86f7e70a009886c511da0b5085b831b0d6afc42442cabc249b90' '58574d4b9aa4c3658b9188cafd89ad0f09c1c1b3aa86743080d0f4b1d6576541' 'ee0f65819d00fea89f40112c769c704c7b663ff852e9d1d6e36d1b6d054d9c05' 'e558529c6dbea047eee744b011ffcc214547c503896b14211ebf5f6309ef4e9f') malkut-hp% makepkg -si

argamanza commented on 2019-05-03 16:32

=> Validating source files with sha256sums...
    FoxitReader.enu.setup.2.4.4.0911.x64.run.tar.gz ... Passed
    eula.html ... FAILED
    foxitreader.patch ... Passed
    foxitreader-excluded_files ... Passed
==> ERROR: One or more files did not pass the validity check!
Error downloading sources: foxitreader

yep, seems like the eula.html needs to be fixed.

alex27riva commented on 2019-05-01 12:22

Installation fails, the sha256 hash of eula.html file is not correct. I doesn't work even if I manually enter the file hash.

nopreserveroot commented on 2019-02-18 15:29

EULA URL has changed to https://www.foxitsoftware.com/pdf-reader/eula.html

jacopastorius commented on 2019-01-19 17:35

Is it possible to change menu fonts?